[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# assign(Tvector3_extended):Tvector4_extended

Allow assignment of three-dimensional extended precision vector to four-dimensional extended precision vector

## Declaration

Source position: matrix.pp line 323

`operator operator :=(`
`const v: Tvector3_extended`
`):Tvector4_extended;`

## Description

This operator allows you to use a three-dimensional vector with extended precision values wherever a four-dimensional vector with extended precision is expected. The fourth dimension is set to 0.